﻿.status-table {
    display: flex;
    flex-wrap: wrap;
    gap: .1em;
    justify-content: space-around;
    padding-bottom: 2em;
}

.table-cell {
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 8px;
    min-width: 15.5em;
    font-size: .8em;
    min-height: 6em;
    flex: 1 0 9%;
    max-width: 12.3%;
    box-sizing: border-box;
}

.room-on {
    background-color: #75ba37;
}

.room-off {
    background-color: #ffffff;
}

.room-off-alt {
    background-color: #D7D2CB;
}

.room-status-footer {
    font-size: .6em;
}

    .room-status-footer label,
    .room-status-footer span {
        width: fit-content;
    }

.room-error {
    background-color: #fa4444;
}

.room-offline {
    background-color: #F7EA48;
}

.icons i {
    font-size: 1.2em;
    margin-right: 4px;
}

i:hover {
    cursor: pointer;
}

.RedIcon {
    color: #fa4444;
}

.YellowIcon {
    color: #faf814;
}

.GrayIcon {
    color: #c2c1ba;
}

.room-status-popup-content {
    background: white;
    margin: 0 auto;
    padding: 1rem;
    max-height: 60vh;
    width: 40vw;
    overflow-y: auto;
    border-radius: 8px;
    position: relative;
}

.room-status-popup-header {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
    border-bottom: 1px solid #ccc;
    margin-bottom: 10px;
}

.room-status-popup-table {
    display: flex;
    flex-direction: column;
    gap: 8px;
    font-size: .85em;
}

.room-status-popup-table-row {
    display: flex;
    justify-content: start;
    padding: 4px 0;
    border-bottom: dashed 1px black;
}

.cavs-table-row {
    display: grid;
    /*grid-template-columns: repeat(8, 1fr);*/ 
    gap: 0.5rem;
    padding: 0.5rem 0;
    text-align: center;
}

.session-label {
    font-weight: bold;
    min-width: 50%;
    margin-right: .5em;
}

#site-filter-label,
#room-classification-filter-label,
#sort-rooms-label,
#auto-scroll-label,
#auto-update-label {
    visibility: visible;
    position: inherit;
    height: auto;
    width: auto;
    pointer-events: all;
}

.hide-popup:focus,
#modal-root:focus {
    outline: none;
}

@media (max-width: 768px) {
    .status-table {
        flex-flow: column;
        padding-bottom: 4em;
    }

    .table-cell {
        max-width: 100%;
        display: flex;
        justify-content: space-between;
        font-size: .9em;
        min-height: 4em;
        align-items: center;
    }

    .icons i {
        font-size: 1.5em;
    }

    .room-name {
        max-width: 48%;
        padding-right: 3%;
    }

    .room-status-popup-content {
        width: 100%;
    }

    .room-status-popup-table {
        font-size: .75em;
    }

    #site-filter-label,
    #room-classification-filter-label,
    #sort-rooms-label,
    #auto-scroll-label,
    #auto-update-label {
        visibility: hidden;
        position: absolute;
        height: 0;
        width: 0;
        pointer-events: none;
    }
}
